Subject: Re: PostgreSQL 7.1 Beta 3 does not run under Cygwin 1.1.8
From: Corinna Vinschen <[email-masked]>
To: cygwin <[email-masked]>
Cc: Yutaka tanida <[email-masked]>, Hork Daniel <[email-masked]>
Date: Mon, 5 Feb 2001 13:38:43 +0100

On Sun, Feb 04, 2001 at 05:29:43AM -0500, Jason Tishler wrote:
> Corinna,
> 
> On Thu, Feb 01, 2001 at 05:46:47PM +0100, Corinna Vinschen wrote:
> > On Thu, Feb 01, 2001 at 11:29:37AM -0500, Jason Tishler wrote:
> > > On Wed, Jan 31, 2001 at 09:45:17PM -0500, Christopher Faylor wrote:
> > > > - Improve anonymous mmap.
> > > 
> > > Unfortunately, I think that the above change is preventing PostgreSQL
> > > from running under Cygwin 1.1.8.  When I start postmaster, I get the
> > > following error:
> > > 
> > >       0 [main] postmaster 1580 fixup_mmaps_after_fork: base address fails to match requested address 0x7030000
> > > C:\cygwin\usr\local\pgsql\bin\postgres.exe: *** recreate_mmaps_after_fork_failed
> > > Startup failed - abort
> > > 
> > > Any ideas?
> > 
> > Could you send me a simple test case?
> 
> Please see attached for two test cases, courtesy of Yutaka tanida, that
> reproduce this problem without PostgreSQL involved.  Actually,
> mmaptest2.c further isolates the problem down to mmap()/fork() by
> removing cygipc from the equation.

I think I have found the problem. At least, your test case 2 works
now. Could you please test it? I have just checked in the patch to
the Cygwin CVS repository.

Thanks,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple